Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5099 - imap source is unnecessarily include on php
Summary: imap source is unnecessarily include on php
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mod_php3
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-13 06:57 UTC by carenas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 02:10:06 UTC


Attachments (Terms of Use)

Description carenas 1999-09-13 06:57:21 UTC
full imap source is included on php source for imap support,
all what is really needed is c-client.a and the include
files for c-client.  Both could be on a -devel package from
imap (bug 5098)

when this imap-devel package is used, the imap source could
be taked out, and will be replaced with the following

from the php-3.0.12-4's spec (the lines that had changed are
 listed below)

#Source2: imap-4.5.tar.Z
#Patch1:    imap-4.4-vfs.patch
#Patch2:    imap-4.5-linux.patch
#Patch3:    imap-4.5-redhat.patch

%package imap
BuildPrereq: imap-devel

%prep
%setup -q -n php-%{version}

%build
#cd imap-4.5
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lnp
#cd ..

# IMAP module
perl -pi -e 's/HAVE_IMAP 0/HAVE_IMAP 1/g' config.h
gcc -shared -fPIC -DCOMPILE_DL=1 -I. -I/usr/include/apache \
        -I/usr/include/imap -o imap.so ./functions/imap.c \
        /usr/lib/c-client.a -lc

Comment 1 Preston Brown 2000-01-14 02:10:59 UTC
changed for next release.


Note You need to log in before you can comment on or make changes to this bug.